Modify

Opened 9 years ago

Closed 6 years ago

#5783 closed defect (fixed)

DataIntegrityProblemException: "Primitive must be part of the dataset" after successful upload

Reported by: Cobra Owned by: team
Priority: critical Milestone: 14.02
Component: Core Version: latest
Keywords: upload Cc: gormur, ceperman, Pepou, dieterdreist, Cottaer, Theodin, openstreetmap@…, vorrutyer, Marcus, Love, Polyglot, alpen_wasser

Description (last modified by skyper)

This just popped up while uploading a bunch of data to a new changeset.

All data was uploaded correctly and there weren't any 'modified' elements after closing the exception dialog.

This was the first time this error occurred, so I think this won't be that easy to reproduce. I didn't notice any differences to other sessions...

The changeset ID of that upload is 6796844.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-27 02:31:21
Last Changed Author: Upliner
Revision: 3744
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-26 18:23:05 +0100 (Sun, 26 Dec 2010)
Last Changed Rev: 3744

Identification: JOSM/1.5 (3744 en)
Memory Usage: 217 MB / 888 MB (25 MB allocated, but free)
Java version: 1.6.0_22, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Linux
Dataset consistency test: No problems found

Plugin: PicLayer (24308)
Plugin: alignways (24815)
Plugin: measurement (22547)
Plugin: openstreetbugs (23747)
Plugin: openvisible (21706)
Plugin: reverter (23278)
Plugin: terracer (24713)
Plugin: undelete (22365)
Plugin: utilsplugin2 (24792)

org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Primitive  must be part of the dataset: {Node id=1070541506 version=1 V lat=48.00487226416538,lon=8.470813154302272}
	at org.openstreetmap.josm.data.osm.OsmPrimitive.checkDataset(OsmPrimitive.java:344)
	at org.openstreetmap.josm.data.osm.OsmPrimitive.getReferrers(OsmPrimitive.java:1267)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.selectionChanged(PropertiesDialog.java:836)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.updateSelection(PropertiesDialog.java:909)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.processDatasetEvent(PropertiesDialog.java:921)
	at org.openstreetmap.josm.data.osm.event.DataSetListenerAdapter.dataChanged(DataSetListenerAdapter.java:23)
	at org.openstreetmap.josm.data.osm.event.DataChangedEvent.fire(DataChangedEvent.java:26)
	at org.openstreetmap.josm.data.osm.event.DatasetEventManager.fireConsolidatedEvents(DatasetEventManager.java:117)
	at org.openstreetmap.josm.data.osm.event.DatasetEventManager.access$300(DatasetEventManager.java:27)
	at org.openstreetmap.josm.data.osm.event.DatasetEventManager$1.run(DatasetEventManager.java:187)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
	at java.awt.Dialog$1.run(Dialog.java:1046)
	at java.awt.Dialog$3.run(Dialog.java:1098)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1096)
	at java.awt.Component.show(Component.java:1563)
	at java.awt.Component.setVisible(Component.java:1515)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:986)
	at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$3.run(PleaseWaitProgressMonitor.java:83)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Attachments (0)

Change History (36)

comment:1 Changed 9 years ago by Cobra

Ticket #5775 has been marked as a duplicate of this ticket.

comment:2 Changed 9 years ago by Cobra

Ticket #5742 has been marked as a duplicate of this ticket.

comment:3 Changed 9 years ago by Cobra

Ticket #5712 has been marked as a duplicate of this ticket.

comment:4 Changed 9 years ago by Cobra

Ticket #5811 has been marked as a duplicate of this ticket.

comment:5 Changed 9 years ago by meppen7

Same error message again today

comment:6 Changed 8 years ago by skyper

Ticket #6639 has been marked as a duplicate of this ticket.

comment:7 Changed 8 years ago by skyper

Cc: gormur ceperman Pepou added
Description: modified (diff)
Keywords: upload added

Frist ticket this was reported is #5712 with r3701

comment:8 Changed 8 years ago by skyper

Just happened to me:

changeset: 11518426 (just 9 new objects)

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-05-05 01:31:01
Last Changed Author: simon04
Revision: 5211
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-05-04 19:15:59 +0200 (Fri, 04 May 2012)
Last Changed Rev: 5211

Identification: JOSM/1.5 (5211 en)
Memory Usage: 388 MB / 1820 MB (119 MB allocated, but free)
Java version: 1.6.0_24, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux
Dataset consistency test: No problems found

Plugin: PicLayer (27883)

org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Primitive must be part of the dataset: {Way id=162383295 version=1 MVT nodes=[{Node id=1742877703 version=1 MV lat=48.00853850559276,lon=7.8125720155645055}, {Node id=1742877700 version=1 MV lat=48.00845006183767,lon=7.81272896532213}, {Node id=1742877705 version=1 MV lat=48.00855172096839,lon=7.812856185309467}, {Node id=1742877719 version=1 MV lat=48.00855861630921,lon=7.81284395018225}, {Node id=1742877721 version=1 MV lat=48.008577422161125,lon=7.812867484588629}, {Node id=1742877720 version=1 MV lat=48.00857052681784,lon=7.812879719717254}, {Node id=1742877722 version=1 MV lat=48.008620875115774,lon=7.8129427277463}, {Node id=1742877723 version=1 MV lat=48.00870931915907,lon=7.812785777824473}, {Node id=1742877703 version=1 MV lat=48.00853850559276,lon=7.8125720155645055}]}
	at org.openstreetmap.josm.data.osm.OsmPrimitive.checkDataset(OsmPrimitive.java:309)
	at org.openstreetmap.josm.data.osm.OsmPrimitive.getReferrers(OsmPrimitive.java:828)
	at org.openstreetmap.josm.data.osm.OsmPrimitive.getReferrers(OsmPrimitive.java:849)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.selectionChanged(PropertiesDialog.java:981)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.updateSelection(PropertiesDialog.java:1054)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.processDatasetEvent(PropertiesDialog.java:1066)
	at org.openstreetmap.josm.data.osm.event.DataSetListenerAdapter.dataChanged(DataSetListenerAdapter.java:23)
	at org.openstreetmap.josm.data.osm.event.DataChangedEvent.fire(DataChangedEvent.java:26)
	at org.openstreetmap.josm.data.osm.event.DatasetEventManager.fireConsolidatedEvents(DatasetEventManager.java:117)
	at org.openstreetmap.josm.data.osm.event.DatasetEventManager.access$300(DatasetEventManager.java:27)
	at org.openstreetmap.josm.data.osm.event.DatasetEventManager$1.run(DatasetEventManager.java:187)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:226)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:647)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:617)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:194)
	at java.awt.Dialog$1.run(Dialog.java:1072)
	at java.awt.Dialog$3.run(Dialog.java:1126)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1124)
	at java.awt.Component.show(Component.java:1551)
	at java.awt.Component.setVisible(Component.java:1503)
	at java.awt.Window.setVisible(Window.java:881)
	at java.awt.Dialog.setVisible(Dialog.java:1011)
	at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:170)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:226)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:647)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:617)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)
Using /usr/lib/jvm/java-6-openjdk-amd64/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-05-05 01:31:01
Last Changed Author: simon04
Revision: 5211
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-05-04 19:15:59 +0200 (Fri, 04 May 2012)
Last Changed Rev: 5211

loading plugin 'PicLayer' (version 27883)
GET http://api.openstreetmap.org/api/0.6/map?bbox=7.8124917,48.0080813,7.813382099999999,48.0087058
GET http://api.openstreetmap.org/api/0.6/map?bbox=7.811322199999999,48.0073886,7.8127384,48.008659099999996
Successfully loaded Bing attribution data.
Bing: attribution data is not yet loaded.
failed loading 18/136758/91114 null
Bing: attribution data is not yet loaded.
PUT http://api.openstreetmap.org/api/0.6/changeset/create... OK
POST http://api.openstreetmap.org/api/0.6/changeset/11518426/upload... OK
PUT http://api.openstreetmap.org/api/0.6/changeset/11518426/close... org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Primitive must be part of the dataset: {Way id=162383295 version=1 MVT nodes=[{Node id=1742877703 version=1 MV lat=48.00853850559276,lon=7.8125720155645055}, {Node id=1742877700 version=1 MV lat=48.00845006183767,lon=7.81272896532213}, {Node id=1742877705 version=1 MV lat=48.00855172096839,lon=7.812856185309467}, {Node id=1742877719 version=1 MV lat=48.00855861630921,lon=7.81284395018225}, {Node id=1742877721 version=1 MV lat=48.008577422161125,lon=7.812867484588629}, {Node id=1742877720 version=1 MV lat=48.00857052681784,lon=7.812879719717254}, {Node id=1742877722 version=1 MV lat=48.008620875115774,lon=7.8129427277463}, {Node id=1742877723 version=1 MV lat=48.00870931915907,lon=7.812785777824473}, {Node id=1742877703 version=1 MV lat=48.00853850559276,lon=7.8125720155645055}]}
	at org.openstreetmap.josm.data.osm.OsmPrimitive.checkDataset(OsmPrimitive.java:309)
	at org.openstreetmap.josm.data.osm.OsmPrimitive.getReferrers(OsmPrimitive.java:828)
	at org.openstreetmap.josm.data.osm.OsmPrimitive.getReferrers(OsmPrimitive.java:849)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.selectionChanged(PropertiesDialog.java:981)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.updateSelection(PropertiesDialog.java:1054)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.processDatasetEvent(PropertiesDialog.java:1066)
	at org.openstreetmap.josm.data.osm.event.DataSetListenerAdapter.dataChanged(DataSetListenerAdapter.java:23)
	at org.openstreetmap.josm.data.osm.event.DataChangedEvent.fire(DataChangedEvent.java:26)
	at org.openstreetmap.josm.data.osm.event.DatasetEventManager.fireConsolidatedEvents(DatasetEventManager.java:117)
	at org.openstreetmap.josm.data.osm.event.DatasetEventManager.access$300(DatasetEventManager.java:27)
	at org.openstreetmap.josm.data.osm.event.DatasetEventManager$1.run(DatasetEventManager.java:187)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:226)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:647)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:617)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:194)
	at java.awt.Dialog$1.run(Dialog.java:1072)
	at java.awt.Dialog$3.run(Dialog.java:1126)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1124)
	at java.awt.Component.show(Component.java:1551)
	at java.awt.Component.setVisible(Component.java:1503)
	at java.awt.Window.setVisible(Window.java:881)
	at java.awt.Dialog.setVisible(Dialog.java:1011)
	at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:170)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:226)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:647)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:617)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

comment:9 Changed 8 years ago by bastiK

Interesting, way 162383295 was new and got uploaded in the changeset 11518426, but after upload was not in the dataset.

comment:10 in reply to:  9 ; Changed 8 years ago by skyper

Replying to bastiK:

Interesting, way 162383295 was new and got uploaded in the changeset 11518426, but after upload was not in the dataset.

Yes, as already stated in summary everything seems to work but JOSM does not get it.

Last edited 8 years ago by skyper (previous) (diff)

comment:11 Changed 8 years ago by skyper

Strange, this time the upload worked fine but trying to delete the only data layer after upload opened the "unsaved changes" dialogue with both check boxes (upload/save) checked although there is nothing to upload/save.
I did start JOSM from the shell with a .osm file added to open and did download some more data into this layer. I saved the file but on a fresh start JOSM works as expected.

comment:12 in reply to:  10 Changed 8 years ago by skyper

Replying to skyper:

Replying to bastiK:

Interesting, way 162383295 was new and got uploaded in the changeset 11518426, but after upload was not in the dataset.

Yes, as already stated in summary everything seems to work but JOSM does not get it.

Is there some race condition or a too short wait/time-out set for server response ?

comment:13 Changed 8 years ago by skyper

Ticket #7767 has been marked as a duplicate of this ticket.

comment:14 Changed 8 years ago by anonymous

Ticket #7768 has been marked as a duplicate of this ticket.

comment:15 Changed 8 years ago by anonymous

Ticket #7775 has been marked as a duplicate of this ticket.

comment:16 Changed 8 years ago by anonymous

Ticket #7824 has been marked as a duplicate of this ticket.

comment:17 Changed 8 years ago by skyper

Cc: dieterdreist added

comment:18 Changed 8 years ago by skyper

May be this leads to #7416.

Last edited 8 years ago by skyper (previous) (diff)

comment:19 Changed 8 years ago by skyper

Ticket #8102 has been marked as a duplicate of this ticket.

comment:20 Changed 8 years ago by skyper

Ticket #7977 has been marked as a duplicate of this ticket.

comment:21 Changed 8 years ago by skyper

Ticket #8112 has been marked as a duplicate of this ticket.

comment:22 Changed 8 years ago by skyper

Ticket #8223 has been marked as a duplicate of this ticket.

comment:23 Changed 8 years ago by skyper

Cc: Cottaer added

comment:24 Changed 7 years ago by skyper

Ticket #8578 has been marked as a duplicate of this ticket.

comment:25 Changed 7 years ago by skyper

Cc: Theodin added

comment:26 Changed 7 years ago by Don-vip

Ticket #8960 has been marked as a duplicate of this ticket.

comment:27 Changed 7 years ago by Don-vip

Ticket #9232 has been marked as a duplicate of this ticket.

comment:28 Changed 7 years ago by Don-vip

Cc: openstreetmap@… vorrutyer added
Summary: Exception during successful uploadDataIntegrityProblemException: "Primitive must be part of the dataset" after successful upload

comment:29 Changed 6 years ago by Don-vip

Ticket #9393 has been marked as a duplicate of this ticket.

comment:30 Changed 6 years ago by Don-vip

Cc: Marcus Love added

comment:31 Changed 6 years ago by Don-vip

Ticket #9499 has been marked as a duplicate of this ticket.

comment:32 Changed 6 years ago by Don-vip

Cc: Polyglot added

comment:33 Changed 6 years ago by Don-vip

Ticket #9582 has been marked as a duplicate of this ticket.

comment:34 Changed 6 years ago by Don-vip

Cc: alpen_wasser added

comment:35 Changed 6 years ago by Don-vip

Milestone: 14.02
Priority: majorcritical

comment:36 Changed 6 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 6794/josm:

fix #5783 - DataIntegrityProblemException: "Primitive must be part of the dataset" after successful upload

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.